Bug 1549076 - [RHV] VM reconfigure dialog: Disks table: Delete backing, Bootable yes/no buttons are split.
Summary: [RHV] VM reconfigure dialog: Disks table: Delete backing, Bootable yes/no but...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Eric Winchell
QA Contact: Angelina Nikiforova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-26 10:49 UTC by Ilanit Stein
Modified: 2019-08-01 12:48 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.18
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
cfme-5.8.3.4_vm_reconfigure_bad_disk_buttons.png (deleted)
2018-02-26 10:49 UTC, Ilanit Stein
no flags Details
RHEV Reconfigure Disks Buttons (27.83 KB, image/png)
2018-02-28 17:21 UTC, Dan Clarizio
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Ilanit Stein 2018-02-26 10:49:19 UTC
Description of problem:
The Disks Yes/No bottons are displayed in a split manner, as can be seen in the attached screen shot.

Version-Release number of selected component (if applicable):
CFME-5.8.3.4/RHV-4.1.10

How reproducible:
100%

Steps to Reproduce:
1.Go to RHV VM details page, and choose "Reconfigure this VM".
2.In the VM reconfigure dialog, the wrong disks Yes/No buttons can be seen

Additional info:
This is a regression, compared to CFME-5.8.3.1, where those buttons display was OK.

Comment 3 Dan Clarizio 2018-02-28 17:21:32 UTC
Created attachment 1401982 [details]
RHEV Reconfigure Disks Buttons

Comment 6 CFME Bot 2018-10-01 10:17:54 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/56c82584ddcdfbe42776b6e4ebaef3a2fa84f296
commit 56c82584ddcdfbe42776b6e4ebaef3a2fa84f296
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Fri Sep 28 12:54:06 2018 -0400
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Fri Sep 28 12:54:06 2018 -0400

    Fix wrapping switch

    https://bugzilla.redhat.com/show_bug.cgi?id=1549076

 app/assets/stylesheets/patternfly_overrides.scss | 4 +
 1 file changed, 4 insertions(+)

Comment 7 CFME Bot 2018-10-01 17:23:03 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/2606221853c8e542486b3c1b6d944465b18f359d
commit 2606221853c8e542486b3c1b6d944465b18f359d
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Oct  1 06:13:44 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Mon Oct  1 06:13:44 2018 -0400

    Merge pull request #4718 from epwinchell/switch_fix

    Fix wrapping switch

    (cherry picked from commit c9b4e1192174c52d6a627beb17a34323c1e96d54)

    https://bugzilla.redhat.com/show_bug.cgi?id=1549076

 app/assets/stylesheets/patternfly_overrides.scss | 4 +
 1 file changed, 4 insertions(+)

Comment 8 Ilanit Stein 2018-10-07 11:23:52 UTC
Verified on CFME-5.10.0.18/RHV-4.2.3

In RHV VM reconfigure dialog all Yes/No buttons look OK (no split).

Comment 9 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.